Name:           conky-manager
Version:        2.7
Release:        %mkrel 1
Summary:        A simple GUI for managing Conky config files
Group:          Monitoring
License:        GPLv3+
Url:            https://github.com/zcot/conky-manager2
Source0:        https://github.com/zcot/conky-manager2/archive/v%{version}/%{name}2-%{version}.tar.gz
Patch0:         conky-manager-desktopentry-fixer-and-arabizer.patch
BuildRequires:  meson
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  vala
Requires:       conky
Requires:       lm_sensors
Requires:       hddtemp
Requires:       p7zip

Provides:       conky-manager2 = %{version}-%{release}

%description
A simple GUI for managing Conky config files. Options for changing themes and
running Conky at startup.

%prep
%autosetup -p1 -n %{name}2-%{version}

# Enable debugging information:
sed -i 's/valac/valac -g/g' src/makefile

%build
%meson
%meson_build

%install
%meson_install

%find_lang %name --all-name

%files -f %name.lang
%license COPYING
%doc README.md AUTHORS TODO
%{_bindir}/conky-manager*
%{_datadir}/applications/conky-manager2.desktop
%{_datadir}/appdata/conky-manager2.appdata.xml
%{_datadir}/conky-manager2/
%{_datadir}/pixmaps/conky-manager2.png


%changelog
* Thu Jun 26 2025 daviddavid <daviddavid> 2.7-1.mga10
+ Revision: 2195088
- new version: 2.7
- switch to meson build system
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- revert the rpath check disable

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.4-4.mga9
+ Revision: 1790194
- disable rpath checking

* Wed Feb 12 2020 umeabot <umeabot> 2.4-3.mga8
+ Revision: 1511464
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.4-2.mga7
+ Revision: 1296766
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1244674
- new version: 2.4

* Wed Sep 27 2017 daviddavid <daviddavid> 2.3.4-3.mga7
+ Revision: 1160468
- enable debugging information thus fixing empty debugsourcefiles.list

* Sun Feb 14 2016 umeabot <umeabot> 2.3.4-2.mga6
+ Revision: 959821
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 2.3.4-1.mga6
+ Revision: 896345
- add build fix from FC
- BR pkgconfig(json-glib-1.0)
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 744183
- Second Mageia 5 Mass Rebuild

* Sun Oct 05 2014 dglent <dglent> 1.2-1.mga5
+ Revision: 736976
- imported package conky-manager

